DRM_RECT_ROTATE(9)

NAME
drm_rect_rotate - Rotate the rectangle

SYNOPSIS

void drm_rect_rotate(struct drm_rect * r, int width, int height, unsigned int rotation);

ARGUMENTS

r
    rectangle to be rotated

width
    Width of the coordinate space

height
    Height of the coordinate space

rotation
    Transformation to be applied

DESCRIPTION

Apply rotation to the coordinates of rectangle r.

width and height combined with rotation define the location of the new origin.

width correcsponds to the horizontal and height to the vertical axis of the untransformed coordinate space.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT